<!--
  Generated template for the AccountPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">

  <ion-navbar color="headerColor" class="header-inner">
  	<button ion-button menuToggle class="menu-icon-button">
     	<div class="menu-icon-toggle"></div>
    </button>
    <ion-title class="header-title"><span class="title">Account</span></ion-title>
    <ion-buttons class="setting-icon-btn-container" end>
    	<button ion-button icon-only (click)="editProfile()" class="setting-icon-btn">
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding class="wrap-all">

	<div class="account-content-container">
		<div class="profile-photo-container">
			<img-loader class="profile-photo" src="{{ usersCred.photoURL }}" imageViewer="{{ usersCred.photoURL }}" useImg></img-loader>
			<div class="edit-photo-btn-container">
				<button class="edit-photo-btn" (click)="editImage()"></button>
			</div>
		</div>
		<div class="display-name-container">
			<p class="display-name">{{ usersCred.displayName }}</p>
		</div>
		<div class="status-outer-container">
			<div class="status-icon-container">
				<div class="status-icon"></div>
			</div>
			<div class="status-container">
				<p class="status">{{ usersCred.status }}</p>
			</div>
		</div>
		<div class="friend-list-btn-container">
			<button ion-button round block outline color="dark" (click)="friendList()">Friend List</button>
		</div>
	</div>

</ion-content>
